NANDSIM(4)

NAME
nandsim - NAND Flash simulator driver

SYNOPSIS
device nand
device nandsim
options ALQ

DESCRIPTION
The nandsim is part of the FreeBSD NAND framework nand(4) and can be characterized with the following highlights:

•   plugs into the nand(4) framework APIs as if it were a hardware controller (hanging on the nexus bus) with real NAND chips connected to it

•   physically part of the kernel code (either statically linked into the kernel image or built as a module)

•   controlled with a user space program nandsim(8)

From the user perspective, the nandsim allows for imitating ONFI-compliant NAND Flash devices as if they were attached to the system via a virtual controller.

Some nandsim features rely on the ability to log contents to a file, which is achieved through the alq(9) facility.

SEE ALSO
nand(4), nandsim.conf(5), nandsim(8)

STANDARDS
Open NAND Flash Interface Working Group (ONFI).

HISTORY
The nandsim support first appeared in FreeBSD 10.0.

AUTHORS
-nosplit The nandsim kernel driver was developed by Grzegorz Bernacki. This manual page was written by Rafal Jaworowski.